Merge lp:~psivaa/adt-cloud-worker/build-essential-for-trusty into lp:adt-cloud-worker

Proposed by Para Siva on 2015-05-01
Status: Merged
Approved by: Para Siva on 2015-05-01
Approved revision: 49
Merged at revision: 46
Proposed branch: lp:~psivaa/adt-cloud-worker/build-essential-for-trusty
Merge into: lp:adt-cloud-worker
Diff against target: 13 lines (+3/-0)
1 file modified
uci-nova (+3/-0)
To merge this branch: bzr merge lp:~psivaa/adt-cloud-worker/build-essential-for-trusty
Reviewer Review Type Date Requested Status
Francis Ginther 2015-05-01 Approve on 2015-05-01
Review via email: mp+258050@code.launchpad.net

Commit message

Install build-essential for trusty testbeds for packages like python-scipy

Description of the change

Install build-essential for trusty testbeds for packages like python-scipy

To post a comment you must log in.
Francis Ginther (fginther) wrote :

Tested and looks good. Can you please add a second comment line:

# build-essential was unintentionally added during trusty development and must be preserved

Will pre-approve.

review: Approve
49. By Para Siva on 2015-05-01

Add a comment about build-essential situ on trusty

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'uci-nova'
2--- uci-nova 2015-04-28 03:13:30 +0000
3+++ uci-nova 2015-05-01 17:49:30 +0000
4@@ -276,6 +276,9 @@
5 - apt-get install -y linux-generic
6 # some tests use a lot of /dev/random, avoid hangs
7 - apt-get install -y haveged
8+ # we need build-essential installed on trusty testbeds for some packages (e.g. python-scipy)
9+ # build-essential was unintentionally added during trusty development and must be preserved
10+ - if [ -n $(cat /etc/lsb-release | grep 'trusty') ]; then apt-get install -y build-essential; fi
11 # We need python to run the auxverb helper - install it iff it's missing:
12 - if ! sh -c 'type python3 >/dev/null 2>&1 || type python >/dev/null 2>&1'; then apt-get install -y --no-install-recommends python3-minimal; fi
13 # Remove some packages we don't need

Subscribers

People subscribed via source and target branches